1.11. Manage Servers of Different Versions

Note

You must have the latest release of JBoss EAP is functioning as the domain controller in order to manage different versions of JBoss EAP servers.
  • JBoss EAP schema uses different versions. Hence, JBoss EAP domain controller of a higher version must not have issues controlling a JBoss EAP host of a lower version, but the domain.xml must be the oldest of all the versions in use.
  • If there is a cluster, all member servers of the cluster must belong to the same version of JBoss EAP.
  • On every host in the domain, there are several Java processes like Process Controller, Host Controller and managed servers. These Java processes must be launched from the same installation of JBoss EAP, hence have the same version.

Warning

However, there is a minor incompatibility when the domain controller from JBoss EAP 6.3 manages slaves from JBoss EAP 6.2 or below that must be corrected: the [named-formatter] attribute is not understood in the target model version and must be replaced with older attributes. For more details, refer to https://access.redhat.com/solutions/1238073